<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Enums;

use Spatie\Enum\Laravel\Enum;

/**
 * Class ModelStatusEnum
 * @method static self PUBLIKOVANE()
 * @method static self NEPUBLIKOVANE()
 *
 * @package Seka\Vzdelavanie\Enums
 */
final class ModelStatusEnum extends Enum
{
    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'PUBLIKOVANE' => 'publikované',
            'NEPUBLIKOVANE' => 'nepublikované',
        ];
    }
}
